## ros-one-catkin-virtualenv 0.17.0-4jammy.20260116.2042

=== debian/changelog ===
ros-one-catkin-virtualenv (0.17.0-4jammy.20260116.2042) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Fri, 16 Jan 2026 20:42:00 +0000

ros-one-catkin-virtualenv (0.17.0-0jammy) jammy; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Tue, 30 Sep 2025 00:00:00 -0000

ros-one-catkin-virtualenv (0.16.0-0jammy) jammy; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Fri, 06 Jun 2025 00:00:00 -0000

ros-one-catkin-virtualenv (0.15.1-0jammy) jammy; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Thu, 29 May 2025 00:00:00 -0000

ros-one-catkin-virtualenv (0.15.0-0jammy) jammy; urgency=high

  * Find pip-compile in global path if it does not exist in venv (#114 <https://github.com/locusrobotics/catkin_virtualenv/issues/114>)
  * Use program basename instead of full path (#117 <https://github.com/locusrobotics/catkin_virtualenv/issues/117>)
  * [ROS-O] Update dependencies version to support testing on Ubuntu noble / ROS-O (#115 <https://github.com/locusrobotics/catkin_virtualenv/issues/115>)
  * Contributors: Paul Bovbel, Yuki Furuta

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Thu, 29 May 2025 00:00:00 -0000

ros-one-catkin-virtualenv (0.14.0-0jammy) jammy; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Tue, 04 Feb 2025 00:00:00 -0000

ros-one-catkin-virtualenv (0.13.0-0jammy) jammy; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Mon, 16 Sep 2024 00:00:00 -0000

ros-one-catkin-virtualenv (0.12.0-0jammy) jammy; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Mon, 17 Jun 2024 00:00:00 -0000

ros-one-catkin-virtualenv (0.11.0-0jammy) jammy; urgency=high

  * 0.10.0
  * Update changelogs
  * Testing with pip cache purge prior to install pip packages (#103)
    * Testing with pip cache purge prior to install pip packages
    * Tailor: Updating Jenkinsfile
    * Adding verbose logging to attempt to catch pypi issue
    * Fixing typo
    * typos
    * formatting with black
    * Updating pip version to 22.2.2 as a potential fix for https://github.com/pypa/pip/issues/11340
    * Testing with no-cache-dir during install
    * Moving option
    * Add --no-cache-dir
    * Fixing formatting with black
    * Tailor: Updating Jenkinsfile
    * Tailor: Updating Jenkinsfile
    * Tailor: Updating Jenkinsfile
    ---------
    Co-authored-by: locus-services <mailto:33065330+locus-services@users.noreply.github.com>
    Co-authored-by: Gary Servin <mailto:gservin@locusrobotics.com>
  * ignore order in requirements consistency check (#102)
  * Drop python2 and add Jammy support (#101)
    * Updating pip and pip-tools
    * Trying older version of pip and pip-tools
    * Using slightly newer version of pip and piptools
    * Ensuring we are using python3
    * fix typo
    * Updating catkin-pkg for Jammy support
    * Remove test_virtualenv_python2
    * Update requirements to fix build error
    * Remove python3 direct reference from venv
    * Update pip and pip-tools for 3.7+ compatibility
    * Don't enumerate python versions
    * Add compatibility notes
    * Remove melodic test and python2 references
    * Fix build error more
    * Get rid of requests as a package for testing
    * get_pip isn't versioned 3.6 onwards
    * Fixup double pip-tools
    * Revert "Get rid of requests as a package for testing"
    This reverts commit 55e5b5889d1080303c52fb4e6671d5061498ac57.
    * Try fix action
    * Disable isolated tests
    * Revert changes to match the dependencies
    ---------
    Co-authored-by: Kalpesh Lad <mailto:klad@locusrobotics.com>
    Co-authored-by: Gary Servin <mailto:gservin@locusrobotics.com>
  * Import setup from setuptools instead of distutils.core (#100)
    * updated package.xml to format version 3
    * change to setuptools in accordance with migration guide
  * 0.9.0
  * Update changelogs
  * Add rosgraph dependency (#98)
  * 0.8.0
  * Update changelogs
  * Revert "Update changelogs"
    This reverts commit 33618e7dec29a058931e5e7190456b4418140c78.
  * Update changelogs
  * Use upstream to configure logging (#94)
  * Allow disabling process rename when it creates issues (#93)
  * Check ensurepip to install pip via get-pip.py (#90)
    * Check ensurepip to install pip via get-pip.py
    * Add ImportError to pass lint
  * Fix catkin_virtualenv for python2 (#92)
    * Add python2 test package
    * Fix dependencies for python2
    * Skip python2 for noetic upstream
  * Rename process to program name (#50)
    * Rename process to node name
    * Rethink approach
    * Mirror how native processes are named
    * Bump dependencies
    * Try heredoc bash to python interp
  * Run catkin_run_tests_target only when CATKIN_ENABLE_TESTING is enabled (#89)
  * use PROJECT_SOURCE_DIR for requirements in venv_lock (#88)
  * Make CMake work in non-isolated builds. (#87)
    * Make CMake work in non-isolated builds.
    Specifically when catkin_virtualenv was used in multiple packages.
    * Updated docs.
    Removed split between isolated and non-isolated venv_lock targets.
  * fix rospkg to 1.3.0 (#85)
  * Improved _venv_bin to find binaries in local (#81)
    Co-authored-by: Jorge López Fueyo <mailto:jorge@scaledrobotics.com>
  * Switch default interpreter to python3 (#77)
    * Switch default interpreter to python3
    * Remove python2
    * Add back vitualenv, needed for python2
    * Tailor: Updating Jenkinsfile
    Co-authored-by: Gary Servin <mailto:gservin@locusrobotics.com>
    Co-authored-by: locus-services <mailto:33065330+locus-services@users.noreply.github.com>
  * Bump dependencies (#76)
    * Bump dependencies
    * Drop kinetic
  * Contributors: Alec Tiefenthal, Arne Hitzmann, Gary Servin, Iori Yanokura, Jorge López Fueyo, Kalpesh Lad, Paul Bovbel, Shingo Kitagawa, Yuki Furuta

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Fri, 02 Feb 2024 00:00:00 -0000

ros-one-catkin-virtualenv (0.10.0-0jammy) jammy; urgency=high



## ros-one-catkin-virtualenv 0.17.0-4noble.20260116.2042

=== requirements.txt ===
catkin-pkg==1.0.0         # via -r requirements.in, rospkg
distro==1.9.0             # via rospkg
docutils==0.20.1          # via catkin-pkg
nose==1.3.7               # via -r requirements.in
pyparsing==3.1.1          # via catkin-pkg
python-dateutil==2.8.2    # via catkin-pkg
pyyaml==6.0.1             # via rospkg
rospkg==1.5.1             # via -r requirements.in
setproctitle==1.3.4       # via -r requirements.in
six==1.16.0               # via python-dateutil

# The following packages are considered to be unsafe in a requirements file:
# setuptools

=== debian/changelog ===
ros-one-catkin-virtualenv (0.17.0-4noble.20260116.2042) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Fri, 16 Jan 2026 20:42:36 +0000

ros-one-catkin-virtualenv (0.17.0-0noble) noble; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Tue, 30 Sep 2025 00:00:00 -0000

ros-one-catkin-virtualenv (0.16.0-0noble) noble; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Fri, 06 Jun 2025 00:00:00 -0000

ros-one-catkin-virtualenv (0.15.1-0noble) noble; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Thu, 29 May 2025 00:00:00 -0000

ros-one-catkin-virtualenv (0.15.0-0noble) noble; urgency=high

  * Find pip-compile in global path if it does not exist in venv (#114 <https://github.com/locusrobotics/catkin_virtualenv/issues/114>)
  * Use program basename instead of full path (#117 <https://github.com/locusrobotics/catkin_virtualenv/issues/117>)
  * [ROS-O] Update dependencies version to support testing on Ubuntu noble / ROS-O (#115 <https://github.com/locusrobotics/catkin_virtualenv/issues/115>)
  * Contributors: Paul Bovbel, Yuki Furuta

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Thu, 29 May 2025 00:00:00 -0000

ros-one-catkin-virtualenv (0.14.0-0noble) noble; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Tue, 04 Feb 2025 00:00:00 -0000

ros-one-catkin-virtualenv (0.13.0-0noble) noble; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Mon, 16 Sep 2024 00:00:00 -0000

ros-one-catkin-virtualenv (0.12.0-0noble) noble; urgency=high



 -- Paul Bovbel <pbovbel@locusrobotics.com>  Mon, 17 Jun 2024 00:00:00 -0000

ros-one-catkin-virtualenv (0.11.0-0noble) noble; urgency=high

  * 0.10.0
  * Update changelogs
  * Testing with pip cache purge prior to install pip packages (#103)
    * Testing with pip cache purge prior to install pip packages
    * Tailor: Updating Jenkinsfile
    * Adding verbose logging to attempt to catch pypi issue
    * Fixing typo
    * typos
    * formatting with black
    * Updating pip version to 22.2.2 as a potential fix for https://github.com/pypa/pip/issues/11340
    * Testing with no-cache-dir during install
    * Moving option
    * Add --no-cache-dir
    * Fixing formatting with black
    * Tailor: Updating Jenkinsfile
    * Tailor: Updating Jenkinsfile
    * Tailor: Updating Jenkinsfile
    ---------
    Co-authored-by: locus-services <mailto:33065330+locus-services@users.noreply.github.com>
    Co-authored-by: Gary Servin <mailto:gservin@locusrobotics.com>
  * ignore order in requirements consistency check (#102)
  * Drop python2 and add Jammy support (#101)
    * Updating pip and pip-tools
    * Trying older version of pip and pip-tools
    * Using slightly newer version of pip and piptools
    * Ensuring we are using python3
    * fix typo
    * Updating catkin-pkg for Jammy support
    * Remove test_virtualenv_python2
    * Update requirements to fix build error
    * Remove python3 direct reference from venv
    * Update pip and pip-tools for 3.7+ compatibility
    * Don't enumerate python versions
    * Add compatibility notes
    * Remove melodic test and python2 references
    * Fix build error more
    * Get rid of requests as a package for testing
    * get_pip isn't versioned 3.6 onwards
    * Fixup double pip-tools
    * Revert "Get rid of requests as a package for testing"
    This reverts commit 55e5b5889d1080303c52fb4e6671d5061498ac57.
    * Try fix action
    * Disable isolated tests
    * Revert changes to match the dependencies
    ---------
    Co-authored-by: Kalpesh Lad <mailto:klad@locusrobotics.com>
    Co-authored-by: Gary Servin <mailto:gservin@locusrobotics.com>
  * Import setup from setuptools instead of distutils.core (#100)
    * updated package.xml to format version 3
    * change to setuptools in accordance with migration guide
  * 0.9.0
  * Update changelogs
  * Add rosgraph dependency (#98)
  * 0.8.0
  * Update changelogs
  * Revert "Update changelogs"
    This reverts commit 33618e7dec29a058931e5e7190456b4418140c78.
  * Update changelogs
  * Use upstream to configure logging (#94)
  * Allow disabling process rename when it creates issues (#93)
  * Check ensurepip to install pip via get-pip.py (#90)
    * Check ensurepip to install pip via get-pip.py
    * Add ImportError to pass lint
  * Fix catkin_virtualenv for python2 (#92)
    * Add python2 test package
    * Fix dependencies for python2
    * Skip python2 for noetic upstream
  * Rename process to program name (#50)
    * Rename process to node name
    * Rethink approach
    * Mirror how native processes are named
    * Bump dependencies
    * Try heredoc bash to python interp
  * Run catkin_run_tests_target only when CATKIN_ENABLE_TESTING is enabled (#89)
  * use PROJECT_SOURCE_DIR for requirements in venv_lock (#88)
  * Make CMake work in non-isolated builds. (#87)
    * Make CMake work in non-isolated builds.
    Specifically when catkin_virtualenv was used in multiple packages.
    * Updated docs.
    Removed split between isolated and non-isolated venv_lock targets.
  * fix rospkg to 1.3.0 (#85)
  * Improved _venv_bin to find binaries in local (#81)
    Co-authored-by: Jorge López Fueyo <mailto:jorge@scaledrobotics.com>
  * Switch default interpreter to python3 (#77)
    * Switch default interpreter to python3
    * Remove python2
    * Add back vitualenv, needed for python2
    * Tailor: Updating Jenkinsfile
    Co-authored-by: Gary Servin <mailto:gservin@locusrobotics.com>
    Co-authored-by: locus-services <mailto:33065330+locus-services@users.noreply.github.com>
  * Bump dependencies (#76)
    * Bump dependencies
    * Drop kinetic
  * Contributors: Alec Tiefenthal, Arne Hitzmann, Gary Servin, Iori Yanokura, Jorge López Fueyo, Kalpesh Lad, Paul Bovbel, Shingo Kitagawa, Yuki Furuta

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Fri, 02 Feb 2024 00:00:00 -0000

ros-one-catkin-virtualenv (0.10.0-0noble) noble; urgency=high



=== debian/control ===
Source: ros-one-catkin-virtualenv
Section: misc
Priority: optional
Maintainer: Paul Bovbel <pbovbel@locusrobotics.com>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-one-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-catkin-virtualenv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-dev, python3-nose, python3-rospkg-modules, python3-venv, ros-one-rosbash, ros-one-rosgraph, virtualenv
Description: Bundle python requirements in a catkin package via virtualenv.

## ros-one-catkin-virtualenv 0.17.0-6jammy.20260207.2117

=== debian/changelog ===
ros-one-catkin-virtualenv (0.17.0-6jammy.20260207.2117) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Sat, 07 Feb 2026 21:17:58 +0000

## ros-one-catkin-virtualenv 0.17.0-6noble.20260130.2051

=== requirements.txt ===
catkin-pkg==1.0.0           # via -r requirements.in, rospkg
distro==1.9.0               # via rospkg
docutils==0.20.1            # via catkin-pkg
nose==1.3.7                 # via -r requirements.in
pyparsing==3.1.1            # via catkin-pkg
python-dateutil==2.8.2      # via catkin-pkg
pyyaml==6.0.1               # via rospkg
rospkg==1.5.1               # via -r requirements.in
setproctitle==1.3.4         # via -r requirements.in
six==1.16.0                 # via python-dateutil
wheel==0.45.1               # via -r requirements.in

# The following packages are considered to be unsafe in a requirements file:
# setuptools

=== debian/changelog ===
ros-one-catkin-virtualenv (0.17.0-6noble.20260130.2051) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Fri, 30 Jan 2026 20:51:05 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-catkin-virtualenv//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
